{"openapi":"3.0.2","info":{"title":"2022-04-15.pre","version":"2022-04-15.pre","description":"The Klaviyo REST API. Please visit https://developers.klaviyo.com for more details.","contact":{"name":"Klaviyo Developer Experience Team","email":"developers@klaviyo.com","url":"https://developers.klaviyo.com"},"termsOfService":"https://www.klaviyo.com/legal/api-terms","license":{"name":"License","url":"https://www.klaviyo.com/legal"}},"paths":{"/api/v3/catalog-items/":{"get":{"operationId":"get_catalog_items","parameters":[{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["variants"]}}},{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`category_id`: `equals`<br>`title`: `contains`<br>`published`: `equals`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Items","description":"Gets a list of items for the company. Sparse fieldsets can be utilized to request specific fields.\nInclude can be used to get the related variants. The items can be sorted by id in ascending and descending order. Each request will return a max of 100 items, which can be paginated through cursor pagination<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_catalog_item","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Catalog Item","description":"Create an item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogItemCreateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-items/{id}/":{"get":{"operationId":"get_catalog_item","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["variants"]}}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Item","description":"Get an item by id. Sparsefieldsets can be utilized to request specific fields.\nInclude can be used to get the related variants as well<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"patch":{"operationId":"patch_catalog_item","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Catalog Item","description":"Update an item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogItemUpdateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"delete":{"operationId":"delete_catalog_item","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete Catalog Item","description":"Delete an item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-categories/{category_id}/items/":{"get":{"operationId":"get_catalog_category_items","parameters":[{"name":"category_id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["variants"]}}},{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`category_id`: `equals`<br>`title`: `contains`<br>`published`: `equals`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Category Items","description":"Gets a list of items that are in the given category. Sparsefieldsets can be utilized to request specific fields. Include can be used to get the related variants. The items can be sorted by id in ascending and descending order. Each request will return a max of 100 items, which can be paginated through cursor pagination<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}}},"/api/v3/catalog-variants/":{"get":{"operationId":"get_catalog_variants","parameters":[{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`item_id`: `equals`<br>`sku`: `equals`<br>`title`: `contains`<br>`published`: `equals`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Variants","description":"Gets a list of variants for the company. Sparsefieldsets can be utilized to request specific fields.\nThe items can be sorted by id in ascending and descending order.\nEach request will return a max of 100 items, which can be paginated through cursor pagination<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_catalog_variant","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Catalog Variant","description":"Create a variant for an item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogVariantCreateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-variants/{id}/":{"get":{"operationId":"get_catalog_variant","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Variant","description":"Get a variant by id<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"patch":{"operationId":"patch_catalog_variant","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Catalog Variant","description":"Update a variant<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogVariantUpdateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"delete":{"operationId":"delete_catalog_variant","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete Catalog Variant","description":"Delete a variant<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-items/{item_id}/variants/":{"get":{"operationId":"get_catalog_item_variants","parameters":[{"name":"item_id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`item_id`: `equals`<br>`sku`: `equals`<br>`title`: `contains`<br>`published`: `equals`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Item Variants","description":"Gets a list of all variants that belong to the item. Sparse fieldsets can be utilized to narrow down the fields to be returned. A maximum of 100 variants will be returned<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}}},"/api/v3/catalog-categories/":{"get":{"operationId":"get_catalog_categories","parameters":[{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`item_id`: `equals`<br>`name`: `contains`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Categories","description":"Gets a list of categories for the company. Sparsefieldsets can be utilized to request specific fields.\nThe items can be sorted by id in ascending and descending order.\nEach request will return a max of 100 items, which can be paginated through cursor pagination<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_catalog_category","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Catalog Category","description":"Create a category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogCategoryCreateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-categories/{id}/":{"get":{"operationId":"get_catalog_category","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Category","description":"Get a category by id<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"patch":{"operationId":"patch_catalog_category","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Catalog Category","description":"Update a category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogCategoryUpdateQuery"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"delete":{"operationId":"delete_catalog_category","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete Catalog Category","description":"Delete a category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-items/{item_id}/categories/":{"get":{"operationId":"get_catalog_item_categories","parameters":[{"name":"item_id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-id","id"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`ids`: `any`<br>`item_id`: `equals`<br>`name`: `contains`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Item Categories","description":"Gets a list of categories that the item is in. Sparse fieldsets can be utilized to narrow down the fields that are returned. Each request will return a max of 100 items, which can be paginated through cursor pagination<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}}},"/api/v3/events/":{"get":{"operationId":"get_events","parameters":[{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["metrics","profiles"]}}},{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-timestamp","datetime","-datetime","timestamp"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`metric_id`: `equals`<br>`datetime`: `greater-than`, `less-or-equal`, `less-than`, `greater-or-equal`<br>`timestamp`: `greater-than`, `less-or-equal`, `less-than`, `greater-or-equal`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Events","description":"Paginated range queries over event timelines for all company events\nor for a specific metric.<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Events"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_event","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Event","description":"Create an event.<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventCreateQuery"}}}},"tags":["Events"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}}},"/api/v3/events/{id}/":{"get":{"operationId":"get_event","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["metrics","profiles"]}}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Event","description":"Get a specific event by id<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `150/m`","tags":["Events"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"150/m"}}},"/api/v3/metrics/":{"get":{"operationId":"get_metrics","parameters":[{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Metrics","description":"Returns a list of all Metric objects in an account,\nthat can optionally be filtered by integration name and/or category.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `150/m`","tags":["Metrics"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"150/m"}}},"/api/v3/metrics/{id}/":{"get":{"operationId":"get_metric","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Metric","description":"Get a specific Metric by id<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `150/m`","tags":["Metrics"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"150/m"}}},"/api/v3/lists/":{"get":{"operationId":"get_lists","parameters":[{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`name`: `any`, `equals`<br>`created`: `greated-than`<br>`updated`: `greated-than`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Lists","description":"Returns some or all lists in an account based on [optional] filters<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","tags":["Lists"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}},"post":{"operationId":"create_list","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create List","description":"Create a list<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCreateQuery"}}}},"tags":["Lists"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}}},"/api/v3/lists/{id}/":{"get":{"operationId":"get_list","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get List","description":"Returns a specific list in an account based on a required LIST_ID.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","tags":["Lists"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}},"patch":{"operationId":"patch_list","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update List","description":"Update list name or other attributes.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPartialUpdateQuery"}}}},"tags":["Lists"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}},"delete":{"operationId":"delete_list","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete List","description":"Delete a list<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","tags":["Lists"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}}},"/api/v3/segments/":{"get":{"operationId":"get_segments","parameters":[{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`name`: `any`, `equals`<br>`created`: `greated-than`<br>`updated`: `greated-than`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Segments","description":"Get some or all segments.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","tags":["Segments"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}}},"/api/v3/segments/{id}/":{"get":{"operationId":"get_segment","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Segment","description":"Get a single segment by ID<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","tags":["Segments"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}},"patch":{"operationId":"patch_segment","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Segment","description":"Update segment name or other attributes by ID.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `60/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SegmentPartialUpdateQuery"}}}},"tags":["Segments"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"60/m"}}},"/api/v3/profiles/":{"get":{"operationId":"get_profiles","parameters":[{"name":"sort","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#sorting","schema":{"type":"string","enum":["-created","id","-id","-email","email","-updated","updated","created"]}},{"name":"filter","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#filtering<br>Allowed field(s)/operator(s):<br>`id`: `equals`, `any`<br>`email`: `equals`, `any`<br>`phone_number`: `equals`, `any`<br>`external_id`: `equals`, `any`<br>`anonymous_id`: `equals`, `any`<br>`created`: `greater-than`, `less-than`<br>`updated`: `greater-than`, `less-than`<br>`_kx`:`equals`","schema":{"type":"string"}},{"name":"page[cursor]","required":false,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Profiles","description":"Return a list of profiles for the company, optionally filtered and sorted.\nIf unfiltered, returns all profiles for the company. Filters can be provided to narrow the results.\nSort can be provided to order the results. Sparse fields can be provided to return a subset of profile fields.\nPagination is available to load additional results.<br><br>*Rate limits*:<br>Burst: `10/s`<br>Steady: `150/m`","tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"10/s","steady":"150/m"}},"post":{"operationId":"create_profile","parameters":[{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Profile","description":"Create a profile<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileCreateQuery"}}}},"tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/profiles/{id}/":{"get":{"operationId":"get_profile","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"include","in":"query","description":"For more information please visit https://kv3alpha.stoplight.io/#relationships","schema":{"type":"array","items":{"type":"string","enum":["lists","segments"]}}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}},{"name":"fields","style":"deepObject","allowReserved":true,"schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"catalog-item":"title,description"},"description":"","in":"query"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Profile","description":"Get a single profile by ID. Returns a full profile (or 404 if not found).\nSparse fields can be provided to return a subset of profile fields.\nIncludes can be provided to retrieve related resource data (lists and segment memberships)<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"patch":{"operationId":"patch_profile","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Profile","description":"Update a profile<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfilePartialUpdateQuery"}}}},"tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/profiles/{profile_id}/lists/":{"get":{"operationId":"get_profile_lists","parameters":[{"name":"profile_id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Profile Lists","description":"Returns a list of list memberships for a given profile<br><br>*Rate limits*:<br>Burst: `3/s`<br>Steady: `60/m`","tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"3/s","steady":"60/m"}}},"/api/v3/profiles/{profile_id}/segments/":{"get":{"operationId":"get_profile_segments","parameters":[{"name":"profile_id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Profile Segments","description":"Returns a list of segment memberships for a given profile<br><br>*Rate limits*:<br>Burst: `3/s`<br>Steady: `60/m`","tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"3/s","steady":"60/m"}}},"/onsite/v1/subscriptions/":{"post":{"operationId":"create_onsite_subscription","parameters":[{"name":"company_id","required":true,"schema":{"type":"string"},"description":"","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Onsite Subscription","description":"Create a new subscription for the given list<br><br>*Rate limits*:<br>Burst: `100/s`<br>Steady: `100/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnsiteSubscriptionCreateQuery"}}}},"tags":["Onsite"],"x-klaviyo-ratelimit":{"burst":"100/s","steady":"100/m"},"security":[]}},"/onsite/v1/events/":{"post":{"operationId":"create_onsite_event","parameters":[{"name":"company_id","required":true,"schema":{"type":"string"},"description":"","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Onsite Event","description":"Create Event object (replaces /track)<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventCreateQuery"}}}},"tags":["Onsite"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"},"security":[]}},"/onsite/v1/profiles/":{"post":{"operationId":"create_onsite_profile","parameters":[{"name":"company_id","required":true,"schema":{"type":"string"},"description":"","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Onsite Profile","description":"Create/Update Profiles objects (replaces /identify)<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnsiteProfileCreateQuery"}}}},"tags":["Onsite"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"},"security":[]}},"/api/v3/catalog-categories/{id}/relationships/{related_resource}/":{"get":{"operationId":"get_catalog_category_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["items"]}},{"name":"page[cursor]","required":true,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Category Relationships","description":"Returns a list of item relationships for a given category<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_catalog_category_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["items"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Catalog Category Relationships","description":"Creates new item relationships for a given category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogCategoryItemOp"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"patch":{"operationId":"patch_catalog_category_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["items"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Catalog Category Relationships","description":"Updates the item relationships for a given category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogCategoryItemOp"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"delete":{"operationId":"delete_catalog_category_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["items"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete Catalog Category Relationships","description":"Deletes the specified item relationships for a given category<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/catalog-items/{id}/relationships/{related_resource}/":{"get":{"operationId":"get_catalog_item_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["categories"]}},{"name":"page[cursor]","required":true,"schema":{"type":"string"},"description":"For more information please visit https://kv3alpha.stoplight.io/#pagination","in":"query"},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Catalog Item Relationships","description":"Returns a list of category relationships for a given item<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}},"post":{"operationId":"create_catalog_item_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["categories"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"201":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Create Catalog Item Relationships","description":"Creates new category relationships for a given item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogItemCategoryOp"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"patch":{"operationId":"patch_catalog_item_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["categories"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Update Catalog Item Relationships","description":"Updates the category relationships for a given item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogItemCategoryOp"}}}},"tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}},"delete":{"operationId":"delete_catalog_item_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["categories"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"204":{"description":""},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Delete Catalog Item Relationships","description":"Deletes the specified category relationships for a given item<br><br>*Rate limits*:<br>Burst: `75/s`<br>Steady: `700/m`","tags":["Catalogs"],"x-klaviyo-ratelimit":{"burst":"75/s","steady":"700/m"}}},"/api/v3/profiles/{id}/relationships/{related_resource}/":{"get":{"operationId":"get_profile_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["lists","segments"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Profile Relationships","description":"Returns a list of list or segment membership relationships for a given profile<br><br>*Rate limits*:<br>Burst: `3/s`<br>Steady: `60/m`","tags":["Profiles"],"x-klaviyo-ratelimit":{"burst":"3/s","steady":"60/m"}}},"/api/v3/events/{id}/relationships/{related_resource}/":{"get":{"operationId":"get_event_relationships","parameters":[{"name":"id","in":"path","required":true,"description":"","schema":{"type":"string"}},{"name":"related_resource","in":"path","required":true,"description":"","schema":{"type":"string","enum":["metrics","profiles"]}},{"name":"revision","in":"header","required":true,"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])","schema":{"type":"string","default":"2022-04-15.pre"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"4XX":{"$ref":"#/components/responses/ClientError"},"5XX":{"$ref":"#/components/responses/ServerError"}},"summary":"Get Event Relationships","description":"Returns metric or profile relationships for a given event<br><br>*Rate limits*:<br>Burst: `350/s`<br>Steady: `3500/m`","tags":["Events"],"x-klaviyo-ratelimit":{"burst":"350/s","steady":"3500/m"}}}},"components":{"schemas":{"NestedIntegrationFilterQuery":{"type":"object","properties":{"name":{"type":"string"},"category":{"type":"string"}}},"CatalogItemCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["catalog-item"]},"attributes":{"type":"object","properties":{"external_id":{"type":"string"},"integration_type":{"type":"string","enum":["$custom"]},"title":{"type":"string"},"catalog_type":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"image_full_url":{"type":"string"},"image_thumbnail_url":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"custom_metadata":{"type":"object"},"published":{"type":"boolean"}},"required":["external_id","title","description","url"]},"relationships":{"type":"object","properties":{"category":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"type":"string","enum":["catalog-category"]},"id":{"type":"string"}}}}}}}}}}}},"CatalogVariantCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["catalog-variant"]},"attributes":{"type":"object","properties":{"external_id":{"type":"string"},"catalog_type":{"type":"string"},"integration_type":{"type":"string","enum":["$custom"]},"title":{"type":"string"},"description":{"type":"string"},"sku":{"type":"string"},"inventory_policy":{"type":"integer","enum":[0,1,2]},"inventory_quantity":{"type":"number"},"price":{"type":"number"},"url":{"type":"string"},"image_full_url":{"type":"string"},"image_thumbnail_url":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"custom_metadata":{"type":"object"},"published":{"type":"boolean"}},"required":["external_id","title","description","sku","inventory_policy","inventory_quantity","price","url"]},"relationships":{"type":"object","properties":{"item":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"type":"string","enum":["catalog-item"]},"id":{"type":"string"}}}}}}}}}}}},"CatalogCategoryCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["catalog-category"]},"attributes":{"type":"object","properties":{"external_id":{"type":"string"},"name":{"type":"string"},"integration_type":{"type":"string","enum":["$custom"]},"catalog_type":{"type":"string"}},"required":["external_id","name"]},"relationships":{"type":"object","properties":{"item":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"type":"string","enum":["catalog-item"]},"id":{"type":"string"}}}}}}}}}}}},"CatalogCategoryItemOp":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["catalog-item"]},"id":{"type":"string"}},"required":["type","id"]}}}},"CatalogItemCategoryOp":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["catalog-category"]},"id":{"type":"string"}},"required":["type","id"]}}}},"_MetricCreateQuery":{"type":"object","properties":{"name":{"type":"string"},"service":{"type":"string"}},"required":["name"]},"EventCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["event"]},"attributes":{"type":"object","properties":{"profile":{"type":"object"},"metric":{"$ref":"#/components/schemas/_MetricCreateQuery"},"properties":{"type":"object"},"time":{"type":"string","format":"date-time"},"value":{"type":"number"},"unique_id":{"type":"string"}},"required":["profile","metric","properties"]}}}}},"ListCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["list"]},"attributes":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]}}}}},"ProfileLocation":{"type":"object","properties":{"address1":{"type":"string"},"address2":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"latitude":{"oneOf":[{"type":"string"},{"type":"number"}]},"longitude":{"oneOf":[{"type":"string"},{"type":"number"}]},"region":{"type":"string"},"zip":{"type":"string"},"timezone":{"type":"string"}}},"ProfileCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["profile"]},"attributes":{"type":"object","properties":{"email":{"type":"string"},"phone_number":{"type":"string"},"external_id":{"type":"string"},"anonymous_id":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"organization":{"type":"string"},"title":{"type":"string"},"image":{"type":"string"},"location":{"$ref":"#/components/schemas/ProfileLocation"},"properties":{"type":"object"}}}}}}},"OnsiteSubscriptionCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["subscription"]},"attributes":{"type":"object","properties":{"list_id":{"type":"string"},"custom_source":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"string"},"properties":{"type":"object"}},"required":["list_id"]}}}}},"OnsiteProfileCreateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","meta"],"properties":{"type":{"type":"string","enum":["profile"]},"attributes":{"type":"object","properties":{"email":{"type":"string"},"phone_number":{"type":"string"},"external_id":{"type":"string"},"anonymous_id":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"organization":{"type":"string"},"title":{"type":"string"},"image":{"type":"string"},"location":{"$ref":"#/components/schemas/ProfileLocation"},"properties":{"type":"object"}}},"meta":{"type":"object","required":["identifiers"],"properties":{"identifiers":{"type":"object","minProperties":1,"properties":{"id":{"type":"string"},"external_id":{"type":"string"},"email":{"type":"string"},"phone_number":{"type":"string"},"anonymous_id":{"type":"string"},"_kx":{"type":"string"}}}}}}}}},"CatalogItemUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["catalog-item"]},"attributes":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"image_full_url":{"type":"string"},"image_thumbnail_url":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"custom_metadata":{"type":"object"},"published":{"type":"boolean"}}},"relationships":{"type":"object","properties":{"category":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"type":"string","enum":["catalog-category"]},"id":{"type":"string"}}}}}}}},"id":{"type":"string"}}}}},"CatalogVariantUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["catalog-variant"]},"attributes":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"inventory_policy":{"type":"integer","enum":[0,1,2]},"inventory_quantity":{"type":"number"},"price":{"type":"number"},"url":{"type":"string"},"image_full_url":{"type":"string"},"image_thumbnail_url":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"custom_metadata":{"type":"object"},"published":{"type":"boolean"}}},"id":{"type":"string"}}}}},"CatalogCategoryUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["catalog-category"]},"attributes":{"type":"object","properties":{"name":{"type":"string"}}},"relationships":{"type":"object","properties":{"item":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"type":"string","enum":["catalog-item"]},"id":{"type":"string"}}}}}}}},"id":{"type":"string"}}}}},"ListPartialUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["list"]},"attributes":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"id":{"type":"string"}}}}},"SegmentPartialUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["segment"]},"attributes":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"id":{"type":"string"}}}}},"ProfilePartialUpdateQuery":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["type","attributes","id"],"properties":{"type":{"type":"string","enum":["profile"]},"attributes":{"type":"object","properties":{"email":{"type":"string"},"phone_number":{"type":"string"},"external_id":{"type":"string"},"anonymous_id":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"organization":{"type":"string"},"title":{"type":"string"},"image":{"type":"string"},"location":{"$ref":"#/components/schemas/ProfileLocation"},"properties":{"type":"object"}}},"id":{"type":"string"}}}}}},"responses":{"ClientError":{"content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["error_id","error_type","message","detail"],"properties":{"error_id":{"type":"string"},"error_type":{"type":"string"},"message":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}}}}},"description":"Client Error"},"ServerError":{"content":{"application/json":{"schema":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["error_id","error_type","message","detail"],"properties":{"error_id":{"type":"string"},"error_type":{"type":"string"},"message":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}}}}},"description":"Server Error"}},"securitySchemes":{"Klaviyo-V3-APIKey":{"type":"apiKey","in":"header","name":"Authorization","description":"Private key authentication for /api/v3/ endpoints is performed by setting the `Authorization` header to `Klaviyo-V3-APIKey key={your-private-api-key}`<br>For more information please visit https://kv3alpha.stoplight.io/#authentication","x-default":"Authorization Klaviyo-V3-APIKey key=your-private-api-key"}}},"servers":[{"url":"https://a.klaviyo.com","description":"Production"}],"tags":[{"name":"Catalogs","description":"Catalogs"},{"name":"Events","description":"Events"},{"name":"Metrics","description":"Metrics"},{"name":"Lists","description":"Lists"},{"name":"Segments","description":"Segments"},{"name":"Profiles","description":"Profiles"},{"name":"Subscriptions","description":"Subscriptions"},{"name":"Onsite","description":"Onsite"}],"security":[{"Klaviyo-V3-APIKey":[]}]}